/*
 * Copyright (c) Sergey P. Derevyago, 2023.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * http://www.boost.org/LICENSE_1_0.txt
 *
 */

#include <ders/perm_asrt.hpp>
#include <stdio.h>
#include <stdlib.h>

namespace ders {

namespace impl {

void perm_assert_func(const char* expr, const char* file, int line)
{
    fprintf(stderr, "\nPermanent assertion failed: %s, file %s, line %d\n", expr, file, line);
    abort();
}

}  // namespace impl

}  // namespace ders
